Loading...
Searching...
No Matches
L4vbus::Pm< DEC > Class Template Reference
L4Re C++ Interface » Vbus API

Power-management API mixin. More...

`#include <vbus>`

Inheritance diagram for L4vbus::Pm< DEC >:
Collaboration diagram for L4vbus::Pm< DEC >:

## Public Member Functions

int | pm_suspend () const
| Suspend the device.
int | pm_resume () const
| Resume the device.

## Detailed Description

template<typename DEC>
class L4vbus::Pm< DEC >

Power-management API mixin.

Devices that inherit from this mixin provide an API to be suspended and resumed.

Definition at line 50 of file vbus.

## Member Function Documentation

## pm_resume()

template<typename DEC>

int L4vbus::Pm< DEC >::pm_resume | ( |  | ) | const

inline

Resume the device.

Switches the device from low-power mode to normal operation and restores the saved state.

Return values

  0 | Success.

Definition at line 74 of file vbus.

References l4vbus_pm_resume().

Here is the call graph for this function:

## pm_suspend()

template<typename DEC>

int L4vbus::Pm< DEC >::pm_suspend | ( |  | ) | const

inline

Suspend the device.

Saves the state of the device and puts it into a low-power mode.

Return values

  0 | Success.

Definition at line 63 of file vbus.

References l4vbus_pm_suspend().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- l4/vbus/vbus